<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of adaptiveImages, a plugin for Dotclear 2.
#
# Copyright (c) Franck Paul and contributors
#
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }

// dead but useful code, in order to have translations
__('adaptiveImages').__('Implements the 3-layers technique for Adaptive Images generation (by Nursit)');

$core->addBehavior('adminBlogPreferencesForm',array('adaptiveImagesBehaviors','adminBlogPreferencesForm'));
$core->addBehavior('adminBeforeBlogSettingsUpdate',array('adaptiveImagesBehaviors','adminBeforeBlogSettingsUpdate'));

class adaptiveImagesBehaviors
{
	public static function adminBlogPreferencesForm($core,$settings)
	{
		$settings->addNameSpace('adaptiveimages');
		echo
		'<div class="fieldset"><h4>'.__('Adaptive Images').'</h4>'.
		'<p><label for"adaptiveimages_enabled" class="classic">'.
		form::checkbox('adaptiveimages_enabled','1',$settings->adaptiveimages->enabled).
		__('Enable Adaptive Images').'</label></p>'.
		'<p><label for="adaptiveimages_max_width_1x" class="classic">'.__('Default maximum display width for images:').'</label> '.
		form::field('adaptiveimages_max_width_1x',4,4,(integer) $settings->adaptiveimages->max_width_1x).
		'</p>'.
		'<p class="clear form-note">'.__('The Default maximum display width for images is 640 pixels.').'</p>'.
		'<p><label for"adaptiveimages_on_demand" class="classic">'.
		form::checkbox('adaptiveimages_on_demand','1',$settings->adaptiveimages->on_demand).
		__('Deliver adaptive images on demand').'</label></p>'.
		'</div>';
	}

	public static function adminBeforeBlogSettingsUpdate($settings)
	{
		$settings->addNameSpace('adaptiveimages');
		$settings->adaptiveimages->put('enabled',!empty($_POST['adaptiveimages_enabled']),'boolean');
		$settings->adaptiveimages->put('max_width_1x',abs((integer) $_POST['adaptiveimages_max_width_1x']),'integer');
		$settings->adaptiveimages->put('on_demand',!empty($_POST['adaptiveimages_on_demand']),'boolean');
	}
}
